<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1" />
<title>Insert title here</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />

<style>

thead,
tfoot {
    background-color: #3f87a6;
    color: #fff;
}

tbody {
    background-color: #e4f0f5;
}

caption {
    padding: 10px;
    caption-side: bottom;
}

table {
    border-collapse: collapse;
    border: 2px solid rgb(200, 200, 200);
    letter-spacing: 1px;
    font-family: sans-serif;
    font-size: .8rem;
}

td,
th {
    border: 1px solid rgb(190, 190, 190);
    padding: 5px 10px;
}

td {
    text-align: center;
}



* {
  box-sizing: border-box;
}

/* Create two equal columns that floats next to each other */
.column {
  float: left;
  width: 50%;
  padding: 10px;
  overflow: auto;
  height:500px;
}
/*height: 300px; *//* Should be removed. Only for demonstration */
/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}


</style>


<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js"></script>
	
<script>

function callOnLoad(){
	ajaxGet();
}

$(document).ready(
		function() {

			// SUBMIT FORM
			//$("#project").submit(function(event) {
				// Prevent the form from submitting via the browser.
			//	event.preventDefault();
			//	ajaxGet();
			//});
			
			//callOnLoad();
			
			ajaxGet();
			
			$("#queryForm").submit(function(event) {
				// Prevent the form from submitting via the browser.
				event.preventDefault();
				ajaxGetQueryResult();
			});
			
			

			function ajaxGet() {

				// PREPARE FORM DATA
				var projectName = "prdt-nv-dev-us-astd-svc99";
				var projectURL = "/projects/"+projectName+"/datasets";

				// DO GET
				$.ajax({
					type : "GET",
					contentType : "application/json",
					url : projectURL,		
					dataType : 'json',
					success : function(result) {
						if (result.status == "success") {
							$('#resultDiv ul').empty();
							var custList = "";
							$.each(result.data.datasets,
									function(i, dataset) {
								
										var datasetName = "<li>"+ dataset + "</li>";
										
										$('#resultDiv .list-group').append(
												datasetName)
									});
							console.log("Success: ", result);
						} else {
							$("#resultDiv").html("<strong>Error</strong>");
							console.log("Fail: ", result);
						}
					},
					error : function(e) {
						alert("Error!")
						console.log("ERROR: ", e);
					}
				});

			}// end of ajaxGet
			
			function ajaxGetQueryResult() {
				
				// PREPARE FORM DATA
				var formData = {}
				
					formData["projectId"] = "prdt-nv-dev-us-astd-svc99";
					formData["query"] =  $("#queryText").val(),
				

				// DO POST
				$.ajax({
					type : "POST",
					contentType : "application/json",
					url : "/big-query-client/execute-query",		
					data : JSON.stringify(formData),
					dataType : 'json',
					success : function(result) {
						if (result.status == "SUCCESS") {
							//$('#resultDiv ul').empty(); 
							var custList = "";
							
							var columnList = [];
							//console.log(" name :", result.body.data);
							var tableHead = "<tr>";
							$.each(result.body.data.schema.fields,
									function(i, field) {
								
										var fieldName = field.name;
										columnList[i] = fieldName;
										
										var tableRow = "<th>"+fieldName+"</th>";
										tableHead = tableHead + tableRow;
										//console.log(" name :", fieldName);
									});
							
							tableHead = tableHead+"</tr>";
							tableHead = "<thead>"+tableHead+"</thead>";
							var tableRows = "";
							$.each(result.body.data.rows,
									function(i, dataset) {
								
									var tableRow = "<tr>";
								
									for(var j = 0; j <columnList.length; j++ ) {
										
										var data = dataset[columnList[j]];
										tableRow = tableRow +"<td>"+data+"</td>";
										//console.log(" name :",  );
									}
									
									tableRow = tableRow+"</tr>"
									tableRows = tableRows+tableRow;
								//console.log(" name :",  dataset[columnList[0]]);
										
										
									});
							
							var resultDataTable = "<table>"+tableHead+tableRows+"</table>";
							console.log("Success: ", result);
							$("#queryResult").html(resultDataTable);
							
						} else {
							$("#queryResult").html("<strong>Error</strong>");
							console.log("Fail: ", result);
						}
					},
					error : function(e) {
						alert("Error!")
						console.log("ERROR: ", e);
					}
				});
				
			}

		});
</script>

</head>
<body>
<h1>
Big Query User Level Access
</h1>

<form id="project" ><!-- th:action="@{/projects/prdt-nv-dev-us-astd-svc99/datasets}" -->
  <!-- button type="submit" class="btn btn-primary">Submit</button-->
</form> 

<div class="row">
  <div id="resultDiv" class="column" style="width: 30%; height:100%" >
    <ul class="list-group">
				</ul>
  </div>
  <div class="column" style="width: 70%;height:100%">
  	<form id="queryForm">
  	
  	 <textarea cols="100" rows="6" id="queryText"></textarea>
     <button type="submit" class="btn btn-primary">Submit</button>
  	
  	</form>
  	
  	<div id="queryResult">
  	
  	</div>
    
  </div>
</div>



</body>

</html>